include	clib.inc

	extrn	systemerror:DIST

DPROC	trace
	mov	ax,sys_ercode
	or	al,sys_erflag
	or	al,sys_erdrive
	test	ax,ax
	jnz	trace_err
    trace_end:
	ret
    trace_err:
	xor	ax,ax
	call	systemerror
	jmp	trace_end
PEND	trace

	END
